/** button **/
/************/
.e-buttons .eh-button-container
{
    display: inline-block;
}

.eh-button
{
    display: inline-block;
    text-align: center;
    text-decoration: none;
    font-weight: normal;
    vertical-align: top;
}
.v-button-is_disabled .eh-button { cursor: default; }

.eh-button-label { display: inline-block; }

.eh-button-loading { display: none; }
.eh-button-loading > img { vertical-align: top; }

.v-button-is_loading .eh-button-label { display: none; }
.v-button-is_loading .eh-button-loading { display: inline-block; }

.v-button-width-100 .eh-button { width: 100%; }

.v-button-greengradient .eh-button
{
    color: #FFFFFF;
    background: #7ad24e;
    background: url(data:image/svg+xml;base64,PD94bWwgdmVyc2lvbj0iMS4wIiA/Pgo8c3ZnIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgd2lkdGg9IjEwMCUiIGhlaWdodD0iMTAwJSIgdmlld0JveD0iMCAwIDEgMSIgcHJlc2VydmVBc3BlY3RSYXRpbz0ibm9uZSI+CiAgPGxpbmVhckdyYWRpZW50IGlkPSJncmFkLXVjZ2ctZ2VuZXJhdGVkIiBncmFkaWVudFVuaXRzPSJ1c2VyU3BhY2VPblVzZSIgeDE9IjAlIiB5MT0iMCUiIHgyPSIwJSIgeTI9IjEwMCUiPgogICAgPHN0b3Agb2Zmc2V0PSIwJSIgc3RvcC1jb2xvcj0iIzdhZDI0ZSIgc3RvcC1vcGFjaXR5PSIxIi8+CiAgICA8c3RvcCBvZmZzZXQ9IjEwMCUiIHN0b3AtY29sb3I9IiMyOTc4MDIiIHN0b3Atb3BhY2l0eT0iMSIvPgogIDwvbGluZWFyR3JhZGllbnQ+CiAgPHJlY3QgeD0iMCIgeT0iMCIgd2lkdGg9IjEiIGhlaWdodD0iMSIgZmlsbD0idXJsKCNncmFkLXVjZ2ctZ2VuZXJhdGVkKSIgLz4KPC9zdmc+);
    background: -moz-linear-gradient(top, #7ad24e 0%, #297802 100%);
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#7ad24e), color-stop(100%,#297802));
    background: -webkit-linear-gradient(top, #7ad24e 0%,#297802 100%);
    background: -o-linear-gradient(top, #7ad24e 0%,#297802 100%);
    background: -ms-linear-gradient(top, #7ad24e 0%,#297802 100%);
    background: linear-gradient(to bottom, #7ad24e 0%,#297802 100%);
}


/** input **/
/***********/
input[type=text],
input[type=password],
textarea,
select
{
    color: #333;
    vertical-align: top;
    font-family: inherit;
    font-size: inherit;
}

input[type=checkbox],
input[type=radio]
{
    cursor: pointer;
}


/** interface **/
/***************/
.eh-interface
{
    overflow: hidden;
}

.eh-interface .eh-input
{
    width: 100%;
}

.v-interface-count-2.eh-interface .vh-input-i1.eh-input { width: 49.75%; margin-right: 0.5%; }
.v-interface-count-2.eh-interface .vh-input-i2.eh-input { width: 49.75%; }
.v-interface-count-2-75_25.eh-interface .vh-input-i1.eh-input { width: 74.75%; margin-right: 0.5%; }
.v-interface-count-2-75_25.eh-interface .vh-input-i2.eh-input { width: 24.75%; }
.v-interface-count-2-25_75.eh-interface .vh-input-i1.eh-input { width: 24.75%; margin-right: 0.5%; }
.v-interface-count-2-25_75.eh-interface .vh-input-i2.eh-input { width: 74.75%; }

.v-interface-count-3.eh-interface .eh-input { width: 33%; margin-right: 0.5%; }
.v-interface-count-3.eh-interface .vh-input-i3.eh-input { margin-right: 0; }
.v-interface-count-3-50_25_25.eh-interface .vh-input-i1.eh-input { width: 49.75%; margin-right: 0.5%; }
.v-interface-count-3-50_25_25.eh-interface .vh-input-i2.eh-input { width: 24.625%; margin-right: 0.5%; }
.v-interface-count-3-50_25_25.eh-interface .vh-input-i3.eh-input { width: 24.625%; margin-right: 0; }
.v-interface-count-3-date.eh-interface .vh-input-i1.eh-input { width: 27.5%; margin-right: 0.5%; }
.v-interface-count-3-date.eh-interface .vh-input-i2.eh-input { width: 44%; margin-right: 0.5%; }
.v-interface-count-3-date.eh-interface .vh-input-i3.eh-input { width: 27.5%; margin-right: 0; }

.v-interface-count-4.eh-interface .eh-input { width: 24.625%; margin-right: 0.5%; }
.v-interface-count-4.eh-interface .vh-input-i4.eh-input { margin-right: 0; }

.v-interface-count-5.eh-interface .eh-input { width: 19.6%; margin-right: 0.5%; }
.v-interface-count-5.eh-interface .vh-input-i5.eh-input { margin-right: 0; }

.v-interface-count-6.eh-interface .eh-input { width: 16.25%; margin-right: 0.5%; }
.v-interface-count-6.eh-interface .vh-input-i6.eh-input { margin-right: 0; }

.v-interface-separator.eh-interface .eh-input { width: auto; margin-right: 0; }

.v-interface-range_date.eh-interface .vh-input-i1.eh-input,
.v-interface-range_date.eh-interface .vh-input-i2.eh-input,
.v-interface-range_date.eh-interface .vh-input-i4.eh-input,
.v-interface-range_date.eh-interface .vh-input-i5.eh-input { margin-right: 0.5%; }

.v-interface-width-auto.eh-interface .eh-input { width: auto; }

.v-interface-width-33.eh-interface .eh-input { width: 33%; }

.eh-interface-separator
{
    display: inline-block;
}

.eh-interface-boolean-input-wrapper label
{
    cursor: pointer;
}


/** field **/
/***********/
.eh-field
{
    overflow: hidden;
}

.eh-field > label
{
    display: block;
}

.eh-field-display
{
    display: block;
}

.eh-field-information
{
    display: block;
    padding-top: 2px;
    font-size: 11px;
}

.eh-field-errorbottom
{
    color: #FF0000;
    padding-top: 2px;
}